import 'package:yflutter_widgets/widgets/listview/ylvproviders/contractedbarprovider.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class YLVAppBarHeader extends StatefulWidget {
  YLVAppBarHeader({
    @required this.insideWidget,
    this.title = "",
    this.headerColor = Colors.white,
    this.leftBarItem,
    this.rightBarItems,
    this.headerHeight = 150,
    this.titleColor = Colors.black,
    this.contractedTitleColor = Colors.white,
    this.titleFontSize = 18,
    this.elevation = 10,
    this.isForcedElevated = false,
  });

  // The inside widget/child.
  final Widget insideWidget;
  // The title of the AppBar.
  final String title;
  // The font size of the AppBar, default is 18.
  final double titleFontSize;
  // The title color.
  final Color titleColor;
  // The elevation of the AppBar.
  final double elevation;
  // If true, the AppBar while always display a line shadow whether it is contracted or not.
  final bool isForcedElevated;
  // The title color while the header is contracted.
  final Color contractedTitleColor;
  // The background color of the header.
  final Color headerColor;
  // The height of the header.
  final double headerHeight;
  // Normally, set the back button.
  final Widget leftBarItem;
  // Right items of the AppBar.
  final List<Widget> rightBarItems;


  @override
  _YLVAppBarHeaderState createState() => _YLVAppBarHeaderState();
}

class _YLVAppBarHeaderState extends State<YLVAppBarHeader> {
  @override
  Widget build(BuildContext context) {
    return SliverAppBar(
      brightness: Brightness.light,
      backgroundColor: widget.headerColor,
      pinned: true,
      snap: false,
      floating: false,
      leading: widget.leftBarItem,
      actions: widget.rightBarItems,
      centerTitle: true,
      elevation: widget.elevation,
      forceElevated: widget.isForcedElevated,
      title: Consumer<ContractedBarProvider> (
        builder: (BuildContext context, ContractedBarProvider contractedBarProvider, Widget child) {
          return Text(
            widget.title,
            style: TextStyle(
            color: contractedBarProvider.isContracted ? widget.contractedTitleColor : widget.titleColor,
            fontSize: widget.titleFontSize
            ),
          );
        },
      ) ,
      expandedHeight: widget.headerHeight,
      flexibleSpace: FlexibleSpaceBar(
        background: widget.insideWidget,
      ),
    );
  }
}
