import 'package:yflutter_widgets/widgets/tabbar/tabbar_item.dart';
import 'package:flutter/material.dart';

class YTabBar extends StatefulWidget {
  final fontSize;
  final selectedFontSize;
  final selectedIndex;
  final List<YTabBarItem> barItems;
  final onSelected;

  YTabBar({
    this.fontSize = 14.0,
    this.selectedFontSize = 14.0,
    this.selectedIndex = 0,
    @required this.barItems,
    this.onSelected
  });

  @override
  _YTabBarState createState() => _YTabBarState();
}

class _YTabBarState extends State<YTabBar> {
  int _currentIndex = 0;
  @override
  void initState() {
    super.initState();
    _currentIndex = widget.selectedIndex;
  }
  @override
  Widget build(BuildContext context) {
    return Theme(
        data: ThemeData(
          splashColor: Colors.transparent
        ),
        child: BottomNavigationBar(
          currentIndex: _currentIndex,
          unselectedFontSize: widget.fontSize,
          selectedFontSize: widget.selectedFontSize,
          items: widget.barItems,
          onTap: (index) {
            widget.onSelected(index);
            setState(() {
              _currentIndex = index;
            });
          },
        ));
  }
}